Elastix Conference module don't work.

Discussion in 'General' started by danardf, Apr 7, 2009.

  1. danardf

    Joined:
    Dec 3, 2007
    Messages:
    8,069
    Likes Received:
    12
    I run this module with Elastix 1.3.2 and i try to use the elastix conference module, but it's not work.

    I set all the fields and I click for enable the conf, but there's nothing. No new conf.
    it's empty.

    But if i make a conf with freepbx, it's good.

    On 1.5.2, it's also good and with the elastix module.

    I don't know why.
     
  2. kspare

    Joined:
    Mar 23, 2009
    Messages:
    73
    Likes Received:
    0
    I don't see it working at all either.
     
  3. possebon

    Joined:
    Dec 26, 2008
    Messages:
    46
    Likes Received:
    0
    Hi danardf,

    I'm having a problem with conference that does not work either with Elastix 1.5.2-2. In my case I've been using the FreePBX module.

    I'm able to create the conference on FreePBX, I dial to the conference number, but when it ask me the pin number, and I dial the pin number, it says that the pin number is invalid.

    For some reason it seems that the asterisk does not get the pin dialed for the user.

    Is the same problem that are you facing?

    I already used Trixbox conferences a lot of years and never had this problem.


    Best regards,

    Fernando Possebon
     
  4. amosquera

    Joined:
    Mar 3, 2009
    Messages:
    6
    Likes Received:
    0
    I had a similar problem, said it that the number of conference was not valid, the fixed loading the ztdummy module, this module is part of zaptel, you have to load and then restart the service, you can verify your installation with the command modprobe ztdummy or lsmod
     
  5. possebon

    Joined:
    Dec 26, 2008
    Messages:
    46
    Likes Received:
    0
    Thanks for your reply.

    But the 1.5.2-2 version does not use zaptel anymore, it's using the DAHDI instead.

    What is the similar ztudmmy on DAHDI?

    Regards

    Fernando
     
  6. amosquera

    Joined:
    Mar 3, 2009
    Messages:
    6
    Likes Received:
    0
    I'm not sure, but I think this will help you:

    Cambios de nombre de módulos de kernel

    Módulo Zaptel Módulo DAHDI
    zaptel.ko - dahdi.ko
    ztd_eth.ko - dahdi_dynamic_eth.ko
    ztd_loc.ko - dahdi_dynamic_loc.ko
    ztdummy.ko - dahdi_dummy.ko
    ztdynamic.ko - dahdi_dynamic.ko
    zttranscode.ko - dahdi_transcode.ko
     
  7. possebon

    Joined:
    Dec 26, 2008
    Messages:
    46
    Likes Received:
    0
    Yeah, you're on the right direction, thanks.

    But I've been trying to load the dahdi_dummy without sucess.

    Worst even is that it seems that Dahdi is not configured and I can't configure it.
     
  8. possebon

    Joined:
    Dec 26, 2008
    Messages:
    46
    Likes Received:
    0
    I figured out (based on your clue) what is going on here.

    The dahdi is not beeing loaded correctly (at least in my case)

    If I try to load the dahdi (/etc/init.d/dahdi start) I get this errors:
    Code:
    
    FATAL: Module dahdi not found.
      wct4xxp:  FATAL: Module wct4xxp not found.
                                                               [FAILED]
      wcte12xp:  FATAL: Module wcte12xp not found.
                                                               [FAILED]
      wct1xxp:  FATAL: Module wct1xxp not found.
                                                               [FAILED]
      wcte11xp:  FATAL: Module wcte11xp not found.
                                                               [FAILED]
      wctdm24xxp:  FATAL: Module wctdm24xxp not found.
                                                               [FAILED]
      wcfxo:  FATAL: Module wcfxo not found.
                                                               [FAILED]
      wctdm:  FATAL: Module wctdm not found.
                                                               [FAILED]
      wcb4xxp:  FATAL: Module wcb4xxp not found.
                                                               [FAILED]
      wctc4xxp:  FATAL: Module wctc4xxp not found.
                                                               [FAILED]
      xpp_usb:  FATAL: Module xpp_usb not found.
                                                               [FAILED]
      rxt1:  FATAL: Module rxt1 not found.
                                                               [  OK  ]
      r1t1:  FATAL: Module r1t1 not found.
                                                               [  OK  ]
      rcbfx:  FATAL: Module rcbfx not found.
                                                               [  OK  ]
    
    Error: missing /dev/dahdi!
    
    I tried to recompile the DAHDI, getting the latest version of Digium (I have done today a clean asterisk installation with CentOS 5.3 and compiled from source with success - DAHDI too).

    When I'm compiling the DAHDI, I'm getting this warning message:

    make: warning: Clock skew detected. Your build may be incomplete.

    It seems that there is something missing on sources to recompile it.
     
  9. danardf

    Joined:
    Dec 3, 2007
    Messages:
    8,069
    Likes Received:
    12
    No, it is not the same problem that you.
    In my case, the Freepbx conf work well. (Pin ...etc)
    It's only the Elastix conf module, and only on the 1.3.2 :(
     
  10. danardf

    Joined:
    Dec 3, 2007
    Messages:
    8,069
    Likes Received:
    12
    Else. Maybe I can try to re-install the module, but how do it?
     
  11. possebon

    Joined:
    Dec 26, 2008
    Messages:
    46
    Likes Received:
    0
    So your problem is just the conference module of Elastix interface?
     
  12. danardf

    Joined:
    Dec 3, 2007
    Messages:
    8,069
    Likes Received:
    12
  13. amosquera

    Joined:
    Mar 3, 2009
    Messages:
    6
    Likes Received:
    0
    danardf.
    maybe you if you provide this solution:

    "I had a similar problem, said it that the number of conference was not valid, the fixed loading the ztdummy module, this module is part of zaptel, you have to load and then restart the service, you can verify your installation with the command modprobe ztdummy or lsmod"
     
  14. danardf

    Joined:
    Dec 3, 2007
    Messages:
    8,069
    Likes Received:
    12
    No. It's not my case.

    I have always this page. [​IMG]
     
  15. dicko

    Joined:
    Oct 24, 2008
    Messages:
    4,099
    Likes Received:
    0
    Not necessarily missing (you got the dahdi code from digium, right?), but when you build stuff in linux, the current machine time is used to check dependencies, always set the time/date to ensure correct compilation
     
  16. ramoncio

    Joined:
    May 12, 2010
    Messages:
    1,663
    Likes Received:
    0
    Have you tried loading the dahdi_dummy using modprobe? Or using gendahdiconf?
    You shouldn't need to recompile dahdi, it is already integrated in Elastix 1.5.
    And if you really need to do it, you can download the source rpm from Elastix, as it already includes some custom patches, oslec echo canceller support for example.
     
  17. possebon

    Joined:
    Dec 26, 2008
    Messages:
    46
    Likes Received:
    0
    Thanks ramoncio,

    I'll try this and post the results

    Regards

    Fernando
     
  18. possebon

    Joined:
    Dec 26, 2008
    Messages:
    46
    Likes Received:
    0
    I tried run the gendahdiconf and does not exist.

    How can I remove the dahdi from elastix (yum I suppose) then reinstall it?

    Fernando
     
  19. ramoncio

    Joined:
    May 12, 2010
    Messages:
    1,663
    Likes Received:
    0
    I think you can't remove it using yum. It should have lots of dependencies: asterisk, elastix, etc.
    Try with a new install, sometimes is the fastest.
    Try to do a backup of your existing config, reinstall elastix, and recover the backup. I would also make a backup using the unembedded freepbx just in case...
    Or you can download the src rpms from the Elastix repo and recompile.
     
  20. ramoncio

    Joined:
    May 12, 2010
    Messages:
    1,663
    Likes Received:
    0
    Maybe it is dahdigenconf, I don't know, I'm still a zaptel guy.
    But right now I am installing Elastix 1.5 for the first time in a test machine, so I can be a bit more helpful with this new version and struggle with dahdi.
    I think my Astribanks and my B200P will not work with dahdi, that's why I haven't tested yet.
    But I think its about time!
     

Share This Page